Subject: [dhcwg] Updating RFC 3633 with draft-ietf-dhc-dhcpv6-prefix-length-hint-issue

From: tianxiang li <[email-masked]>
Date: Fri, 17 Feb 2017 13:32:03 +0800

Hi all,

The IESG review of draft-ietf-dhc-dhcpv6-prefix-length-hint-issue has
ended, several reviewers suggested this document should update RFC 3633, as
someone reading RFC3633 would need a pointer to this document. Hope to
receive the comments from the WG regarding this issue.

And if so, do we need to add a specific tag in the xml file stating that it
updates RFC 3633 and change the title of the document?

Hope to receive your advice.

Thank you,
Tianxiang

---

From: Suresh Krishnan <[email-masked]>
Date: Tue, 21 Feb 2017 04:06:08 +0000

> On Feb 17, 2017, at 12:32 AM, tianxiang li <[email-masked]> wrote:
> 
> Hi all,
> 
> The IESG review of draft-ietf-dhc-dhcpv6-prefix-length-hint-issue has ended, several reviewers suggested this document should update RFC 3633, as someone reading RFC3633 would need a pointer to this document. Hope to receive the comments from the WG regarding this issue. 

I personally have no objections to adding the Updates: RFC3633 tag to the document. It would be great if other WG participants can chime in one way or another.

> 
> And if so, do we need to add a specific tag in the xml file stating that it updates RFC 3633 and change the title of the document?

If the WG has no objection to doing this, I can add this (Updates tag) as an RFC Editor note. No need for a new rev.

Thanks
Suresh

---

From: Erik Kline <[email-masked]>
Date: Tue, 21 Feb 2017 14:57:17 +0900

What about folding in to 3315bis (where other 3633 info is going)?  I have
no strong preference one way or the other, just asking.

On 21 February 2017 at 13:06, Suresh Krishnan <[email-masked]>
wrote:

> I personally have no objections to adding the Updates: RFC3633 tag to the
> document. It would be great if other WG participants can chime in one way
> or another.
>
> >
> > And if so, do we need to add a specific tag in the xml file stating that
> it updates RFC 3633 and change the title of the document?
>
> If the WG has no objection to doing this, I can add this (Updates tag) as
> an RFC Editor note. No need for a new rev.
>
> Thanks
> Suresh
>
>
> _______________________________________________
> dhcwg mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dhcwg
>
>

---

From: Suresh Krishnan <[email-masked]>
Date: Tue, 21 Feb 2017 22:55:35 +0000

Hi Erik,

> On Feb 21, 2017, at 12:57 AM, Erik Kline <[email-masked]> wrote:
> 
> What about folding in to 3315bis (where other 3633 info is going)?  I have no strong preference one way or the other, just asking.

<AD Hat off>That is certainly something worth considering, but I think it should be independent of this document. There are people who implement RFC3633 and it would be good if they can use this independently without needing to wait for 3315bis.

Thanks
Suresh

---

From: "Bernie Volz (volz)" <[email-masked]>
Date: Wed, 22 Feb 2017 01:18:48 +0000

And, at some point we have to draw the line as to what can be added to 3315bis or it will never finish.

I think having this as a standalone document is fine. Note that 3315bis does reference it.

- Bernie

-----Original Message-----
From: Suresh Krishnan [mailto:[email-masked]] 
Sent: Tuesday, February 21, 2017 5:56 PM
To: Erik Kline <[email-masked]>
Cc: tianxiang li <[email-masked]>; dhcwg <[email-masked]>; Bernie Volz (volz) <[email-masked]>
Subject: Re: [dhcwg] Updating RFC 3633 with draft-ietf-dhc-dhcpv6-prefix-length-hint-issue

Hi Erik,

Thanks
Suresh

---

From: "Bernie Volz (volz)" <[email-masked]>
Date: Wed, 22 Feb 2017 17:27:59 +0000

Hi:

Also, my personal opinion (wg chair hat off) is that we DON'T tag this document to update 3633. There is no specific text in this draft that replaces text in 3633. The section 3.6 is a "General Recommendation" and it could be argued that 3633 always intended clients to include the hint in each request.

And, also if 3315bis obsoletes 3633, it might REQUIRE us to address this in 3315bis? Rather than just reference it - and while we could add the "General Recommendation", one would then lose a lot of the background as to why this is important (and the rest of the prefix-hint draft isn't well suited to be incorporated in 3315bis).

Hence, my personal opinion is that we:
1. Don't specify that this document updates 3633.
2. Have 3315bis reference it (which we already do).

- Bernie

-----Original Message-----
From: dhcwg [mailto:[email-masked]] On Behalf Of Bernie Volz (volz)
Sent: Tuesday, February 21, 2017 8:19 PM
To: Suresh Krishnan <[email-masked]>; Erik Kline <[email-masked]>
Cc: dhcwg <[email-masked]>
Subject: Re: [dhcwg] Updating RFC 3633 with draft-ietf-dhc-dhcpv6-prefix-length-hint-issue

- Bernie

-----Original Message-----
From: Suresh Krishnan [mailto:[email-masked]] 
Sent: Tuesday, February 21, 2017 5:56 PM
To: Erik Kline <[email-masked]>
Cc: tianxiang li <[email-masked]>; dhcwg <[email-masked]>; Bernie Volz (volz) <[email-masked]>
Subject: Re: [dhcwg] Updating RFC 3633 with draft-ietf-dhc-dhcpv6-prefix-length-hint-issue

Hi Erik,

Thanks
Suresh

---

From: Tomek Mrugalski <[email-masked]>
Date: Wed, 22 Feb 2017 18:45:09 +0100

>> I personally have no objections to adding the Updates: RFC3633 tag to the document. It would be great if other WG participants can chime in one way or another.
With my co-chair hat off, I don't have any specific preference here. On
one hand, if we update 3633, we will be enforcing everyone to follow the
recommendation made in prefix-length-hint-issue. The obvious benefit is
that prefix-length-hint-issue will get more exposure, which is a good
thing. On the other hand, the 3315bis work hopefully will be published
later this year and it will obsolete 3633. Assuming the bis work gets
published relatively soon, the window of opportunity when the 3633
update will be applicable is several months. As Bernie pointed out,
3315bis references prefix-length-hint-issue.

If it was completely up to me, I would go with update 3633, because that
would give this draft immediate exposure to more readers. Also, if
3315bis publication is delayed for whatever reason, updating seems like
a better choice. But I wouldn't complain if we decide to go the "don't
update" route.

Tomek

---

From: Suresh Krishnan <[email-masked]>
Date: Sat, 25 Feb 2017 04:28:29 +0000

Hi Tomek,

> On Feb 22, 2017, at 12:45 PM, Tomek Mrugalski <[email-masked]> wrote:
> 

Yes. This was my position as well. I will let Bernie and you make the call as chairs and let me know.

Thanks
Suresh